using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Graphics;

using TImport = System.String;

namespace GhostArena3DCustomContent
{
   [ContentImporter(".gas", DisplayName = "Ghost Arena 3D Spawn Importer", DefaultProcessor = "GhostArena3DProcessor")]
   public class GhostArena3DImporter : ContentImporter<TImport>
   {
      public override TImport Import(string filename, ContentImporterContext context)
      {
         string data = System.IO.File.ReadAllText(filename,
                       System.Text.Encoding.ASCII);
         return data;
      }
   }
}
